oracle.jdbc.dcn

## Enum TableChangeDescription.TableOperation

- java.lang.Object
- - java.lang.Enum<TableChangeDescription.TableOperation>
  - - oracle.jdbc.dcn.TableChangeDescription.TableOperation

All Implemented Interfaces:
  Serializable, Comparable<TableChangeDescription.TableOperation>

Enclosing interface:
  TableChangeDescription

    public static enum TableChangeDescription.TableOperation
    extends Enum<TableChangeDescription.TableOperation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL_ROWS` The table is completely invalidated and row level information isn't available.
`ALTER`
`DELETE`
`DROP`
`INSERT`
`UPDATE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static EnumSet<TableChangeDescription.TableOperation>` `getTableOperations(int opcode)` Implementation detail (for internal use only).
`static TableChangeDescription.TableOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TableChangeDescription.TableOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL_ROWS

    public static final TableChangeDescription.TableOperation ALL_ROWS

The table is completely invalidated and row level information isn't available. If the `DCN_NOTIFY_ROWIDS` option hasn't been turned on during registration, then all events will have this `OPERATION_ALL_ROWS` flag on. It can also happen in situations where too many rows have changed and it would be too expensive for the server to send the list of them..

#### INSERT

    public static final TableChangeDescription.TableOperation INSERT

#### UPDATE

    public static final TableChangeDescription.TableOperation UPDATE

#### DELETE

    public static final TableChangeDescription.TableOperation DELETE

#### ALTER

    public static final TableChangeDescription.TableOperation ALTER

#### DROP

    public static final TableChangeDescription.TableOperation DROP

### Method Detail

#### values

    public static TableChangeDescription.TableOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TableChangeDescription.TableOperation c : TableChangeDescription.TableOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TableChangeDescription.TableOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

#### getTableOperations

    public static final EnumSet<TableChangeDescription.TableOperation> getTableOperations(int opcode)

Implementation detail (for internal use only).

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.